# Uses of Interface
org.springframework.http.server.reactive.SslInfo

Packages that use SslInfo
Package
Description
org.springframework.http.server.reactive
Abstractions for reactive HTTP server support including a `ServerHttpRequest` and `ServerHttpResponse` along with an `HttpHandler` for processing.

## Uses of SslInfo in org.springframework.http.server.reactive

Methods in org.springframework.http.server.reactive that return SslInfo
Modifier and Type
Method
Description
`SslInfo`
AbstractServerHttpRequest.`getSslInfo()`
`default SslInfo`
ServerHttpRequest.`getSslInfo()`
Return the SSL session information if the request has been transmitted over a secure protocol including SSL certificates, if available.
`SslInfo`
ServerHttpRequestDecorator.`getSslInfo()`
`protected abstract SslInfo`
AbstractServerHttpRequest.`initSslInfo()`
Obtain SSL session information from the underlying "native" request.
Methods in org.springframework.http.server.reactive with parameters of type SslInfo
Modifier and Type
Method
Description
`ServerHttpRequest.Builder`
ServerHttpRequest.Builder.`sslInfo(SslInfo sslInfo)`
Set the SSL session information.